For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transactions

Get Transactions

get
Required scopes
This endpoint requires the following scopes:
  • : Ability to read Accounts information
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
Path parameters
AccountIdstringRequired

AccountId

Query parameters
fromBookingDateTimestring · date-timeOptional

The UTC ISO 8601 Date Time to filter transactions FROM NB Time component is optional - set to 00:00:00 for just Date. If the Date Time contains a timezone, the ASPSP must ignore the timezone component.

toBookingDateTimestring · date-timeOptional

The UTC ISO 8601 Date Time to filter transactions TO NB Time component is optional - set to 00:00:00 for just Date. If the Date Time contains a timezone, the ASPSP must ignore the timezone component.

Header parameters
x-fapi-financial-idstringRequired

The unique id of the ASPSP to which the request is issued. The unique id will be issued by OB.

x-fapi-customer-last-logged-timestringOptional

The time when the PSU last logged in with the TPP. All dates in the HTTP headers are represented as RFC 7231 Full Dates. An example is below: Sun, 10 Sep 2017 19:43:31 UTC

Pattern: ^(Mon|Tue|Wed|Thu|Fri|Sat|Sun), \d{2} (Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec) \d{4} \d{2}:\d{2}:\d{2} (GMT|UTC)$
x-fapi-customer-ip-addressstringOptional

The PSU's IP address if the PSU is currently logged in with the TPP.

x-fapi-interaction-idstringOptional

An RFC4122 UID used as a correlation id.

AuthorizationstringOptional

An Authorisation Token as per https://tools.ietf.org/html/rfc6750 - required for API calls but may be ommited when using Swagger UI where the "Authorize" function has been operated

x-customer-user-agentstringOptional

Indicates the user-agent that the PSU is using.

Responses
200

Transactions Read

application/json; charset=utf-8
get/accounts/{AccountId}/transactions
GET /algbra/open-banking/v3.1/aisp/accounts/{AccountId}/transactions HTTP/1.1
Host: secure.tell.systems
Authorization: Bearer YOUR_OAUTH2_TOKEN
x-fapi-financial-id: text
Accept: */*
{
  "Data": {
    "Transaction": [
      {
        "AccountId": "text",
        "TransactionId": "text",
        "TransactionReference": "text",
        "StatementReference": [
          "text"
        ],
        "CreditDebitIndicator": "Credit",
        "Status": "Booked",
        "BookingDateTime": "2026-01-01T00:00:00.000Z",
        "ValueDateTime": "2026-01-01T00:00:00.000Z",
        "AddressLine": "text",
        "Amount": {
          "Amount": "text",
          "Currency": "text"
        },
        "ChargeAmount": {
          "Amount": "text",
          "Currency": "text"
        },
        "CurrencyExchange": {
          "SourceCurrency": "text",
          "TargetCurrency": "text",
          "UnitCurrency": "text",
          "ExchangeRate": 1,
          "ContractIdentification": "text",
          "QuotationDate": "2026-01-01T00:00:00.000Z",
          "InstructedAmount": {
            "Amount": "text",
            "Currency": "text"
          }
        },
        "BankTransactionCode": {
          "Code": "text",
          "SubCode": "text"
        },
        "ProprietaryBankTransactionCode": {
          "Code": "text",
          "Issuer": "text"
        },
        "CardInstrument": {
          "CardSchemeName": "AmericanExpress",
          "AuthorisationType": "ConsumerDevice",
          "Name": "text",
          "Identification": "text"
        },
        "SupplementaryData": {},
        "TransactionInformation": "text",
        "Balance": {
          "CreditDebitIndicator": "Credit",
          "Type": "ClosingAvailable",
          "Amount": {
            "Amount": "text",
            "Currency": "text"
          }
        },
        "MerchantDetails": {
          "MerchantName": "text",
          "MerchantCategoryCode": "text"
        },
        "CreditorAgent": {
          "SchemeName": [
            "UK.OBIE.BICFI"
          ],
          "Identification": "text",
          "Name": "text",
          "PostalAddress": {
            "AddressType": "Business",
            "Department": "text",
            "SubDepartment": "text",
            "StreetName": "text",
            "BuildingNumber": "text",
            "PostCode": "text",
            "TownName": "text",
            "CountrySubDivision": "text",
            "Country": "text",
            "AddressLine": [
              "text"
            ]
          }
        },
        "CreditorAccount": {
          "SchemeName": [
            "UK.OBIE.BBAN",
            "UK.OBIE.IBAN",
            "UK.OBIE.PAN",
            "UK.OBIE.Paym",
            "UK.OBIE.SortCodeAccountNumber"
          ],
          "Identification": "text",
          "Name": "text",
          "SecondaryIdentification": "text"
        },
        "DebtorAgent": {
          "SchemeName": [
            "UK.OBIE.BICFI"
          ],
          "Identification": "text",
          "Name": "text",
          "PostalAddress": {
            "AddressType": "Business",
            "Department": "text",
            "SubDepartment": "text",
            "StreetName": "text",
            "BuildingNumber": "text",
            "PostCode": "text",
            "TownName": "text",
            "CountrySubDivision": "text",
            "Country": "text",
            "AddressLine": [
              "text"
            ]
          }
        },
        "DebtorAccount": {
          "SchemeName": [
            "UK.OBIE.BBAN",
            "UK.OBIE.IBAN",
            "UK.OBIE.PAN",
            "UK.OBIE.Paym",
            "UK.OBIE.SortCodeAccountNumber"
          ],
          "Identification": "text",
          "Name": "text",
          "SecondaryIdentification": "text"
        }
      }
    ]
  },
  "Links": {
    "Self": "https://example.com",
    "First": "https://example.com",
    "Prev": "https://example.com",
    "Next": "https://example.com",
    "Last": "https://example.com"
  },
  "Meta": {
    "TotalPages": 1,
    "FirstAvailableDateTime": "2026-01-01T00:00:00.000Z",
    "LastAvailableDateTime": "2026-01-01T00:00:00.000Z"
  }
}

Last updated